org.hibernate.search.engine.metadata.impl

## Class EmbeddedTypeMetadata

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.TypeMetadata
  - - org.hibernate.search.engine.metadata.impl.EmbeddedTypeMetadata

-     public class EmbeddedTypeMetadata
      extends TypeMetadata

  Class containing all the meta data extracted for a single type.
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EmbeddedTypeMetadata.Builder`
    `static class` | `EmbeddedTypeMetadata.Container`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmbeddedTypeMetadata.Container` | `getEmbeddedContainer()`
    `String` | `getEmbeddedFieldPrefix()`
    `org.hibernate.annotations.common.reflection.XMember` | `getEmbeddedGetter()`
    `FieldBridge` | `getEmbeddedNullFieldBridge()`
    `String` | `getEmbeddedNullFieldName()`
    `String` | `getEmbeddedNullToken()`
    `String` | `getEmbeddedPropertyName()`
    `PropertyMetadata` | `getSourceProperty()`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.search.engine.metadata.impl.TypeMetadata

      `areClassBridgesUsed, areStateInspectionOptimizationsEnabled, containsCollectionRole, disableStateInspectionOptimizations, getAllDocumentFieldMetadata, getAllPropertyMetadata, getBridgeDefinedFieldMetadataFor, getClassBoost, getClassBridgeMetadata, getClassBridgeSortableFieldMetadata, getClassLuceneOptions, getContainedInMetadata, getDefaultAnalyzerReference, getDiscriminator, getDiscriminatorGetter, getDocumentFieldMetadataFor, getDynamicBoost, getEmbeddedTypeMetadata, getFacetMetadataFor, getFieldLuceneOptions, getFieldMetadataForClassBridgeField, getIdPropertyMetadata, getNonEmbeddedDocumentFieldMetadata, getOptimizationBlackList, getPropertyMetadataForProperty, getStaticBoost, getType, isJpaIdUsedAsDocumentId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSourceProperty

          public PropertyMetadata getSourceProperty()

      Returns:
        The property from which the value for this embedded is extracted.

    - #### getEmbeddedPropertyName

          public String getEmbeddedPropertyName()

      Returns:
        The name of the Java property holding this embedded.

    - #### getEmbeddedFieldPrefix

          public String getEmbeddedFieldPrefix()

      Returns:
        The field prefix, i.e. the string that should be concatenated to prefixes of containing embeddeds and to the local field name to give the full index field name.

    - #### getEmbeddedGetter

          public org.hibernate.annotations.common.reflection.XMember getEmbeddedGetter()

    - #### getEmbeddedContainer

          public EmbeddedTypeMetadata.Container getEmbeddedContainer()

    - #### getEmbeddedNullFieldName

          public String getEmbeddedNullFieldName()

    - #### getEmbeddedNullToken

          public String getEmbeddedNullToken()

    - #### getEmbeddedNullFieldBridge

          public FieldBridge getEmbeddedNullFieldBridge()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TypeMetadata`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved